if exists (select * from sysobjects where id = object_id(N'pSelectedDatesExampleSelectedDatesGet') and sysstat & 0xf = 4) drop procedure pSelectedDatesExampleSelectedDatesGet 
GO

-- Returns a specific record from the [dbo].[SelectedDates] table.
CREATE PROCEDURE pSelectedDatesExampleSelectedDatesGet
        @pk_RecordId int
AS
DECLARE
    @l_count int
BEGIN

    -- Get the rowcount first and make sure 
    -- only one row is returned
    SELECT @l_count = count(*) 
    FROM [dbo].[SelectedDates]
    WHERE [RecordId] =@pk_RecordId

    IF @l_count = 0
        RAISERROR ('The record no longer exists.', 16, 1)
    IF @l_count > 1
        RAISERROR ('duplicate object instances.', 16, 1)

    -- Get the row from the query.  Checksum value will be
    -- returned along the row data to support concurrency.
    SELECT 
        [RecordId],
        [DatesSelected],
        CAST(BINARY_CHECKSUM([RecordId],[DatesSelected]) AS nvarchar(4000)) AS IS_CHECKSUM_COLUMN_12345
    FROM [dbo].[SelectedDates]
    WHERE [RecordId] =@pk_RecordId
END

